Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593114 - KMS:RV670:Radeon 3870HD lock up when watching TV
Summary: KMS:RV670:Radeon 3870HD lock up when watching TV
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 20:44 UTC by Stas Sergeev
Modified: 2011-06-27 16:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:26:37 UTC


Attachments (Terms of Use)

Description Stas Sergeev 2010-05-17 20:44:30 UTC
Description of problem:
When watching TV with xawtv,
the machine locks up after a
few hours. Nothing can be done
after that, not even the SysRq
keys work. Nothing in the logs.
There is enough of evidence to
suspect the radeon driver though:
I tried older kernels, from F12
where there were no lock-ups, but
it still locks up, so it is not
a kernel's fault. Also, I tried
the fbdev driver, and it doesn't
lock up. The radeon driver does.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
05:00.0 VGA compatible controller: ATI Technologies Inc Radeon HD 3870
01:08.0 Multimedia controller: Philips Semiconductors SAA7134/SAA7135HL Video Broadcast Decoder (rev 01)

How reproducible:
periodically

Steps to Reproduce:
1. Run xawtv
2. Watch movie
  
Actual results:
Hangs after an hour or two

Expected results:
Works 24/7

Additional info:
It just locks up hard.
No way to collect any info...
There were no problems on F12.
any tests I can do to help solving this?

Comment 1 Vedran Miletić 2010-05-24 19:53:29 UTC
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Comment 2 Bug Zapper 2011-06-02 13:54:10 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-27 16:26:37 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.